package io.gisbi.license.server;

import io.gisbi.api.license.dto.LicenseRequest;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/license")
public class LicenseServer  {

    @PostMapping("/validate")
    public F2CLicResult validate(LicenseRequest request) {
        F2CLicResult result = new F2CLicResult();
        return result;
    }

    @GetMapping("/version")
    public String version() {
        return "2.0.0";
    }
}
